For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/include/include

get

Get details for an include chain

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
include_chain_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/include/include
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'include_chain_id' => '1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'include/include',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "chain": {
    "include_chain_id": "1",
    "name": "test include name",
    "switch": "4",
    "template": "chaininclude_popup",
    "track": "1",
    "deleted": "0",
    "enabled": "1",
    "switch_details": {
      "siteid": {
        "siteid": "1",
        "name": "Membership Site A"
      },
      "tourid": {
        "tourid": "1",
        "name": "Default Tour"
      }
    },
    "steps": [
      {
        "include_chain_step_id": "1",
        "name": "test include step",
        "orderid": "1",
        "include_chain_id": "1",
        "deleted": "0",
        "switch": "4",
        "template": "chaininclude_popup",
        "switch_details": {
          "siteid": {
            "siteid": "1",
            "name": "Membership Site A"
          },
          "tourid": {
            "tourid": "1",
            "name": "Default Tour"
          }
        },
        "track": 2
      }
    ]
  }
}
post

Add new include chain

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
namestringRequired
templatestringRequired
touridintegerOptionalDefault: 0
trackstringOptionalDefault: 0
enabledstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
post/api/include/include
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'name' => 'test include name',
		'template' => 'chaininclude_popup',
		'tourid' => 1,
		'track' => 1,
		'enabled' => 1
	);

$request = array(
	'method' => 'POST',
	'path' => 'include/include',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Include chain added",
  "include": {
    "include_chain_id": "1",
    "name": "test include name",
    "switch": "4",
    "template": "chaininclude_popup",
    "track": "1",
    "deleted": "0",
    "enabled": "1"
  }
}
delete

Delete include chain

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
include_chain_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
delete/api/include/include
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'include_chain_id' => '1'
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'include/include',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Include chain deleted"
}
patch

Update include chain

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
include_chain_idintegerRequired
namestringOptional
templatestringOptional
touridintegerOptional
trackstringOptional
enabledstringOptional
Responses
200

success

successbooleanOptionalExample: true
patch/api/include/include
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'include_chain_id' => '1',
		'name' => 'updated test include name',
		'template' => 'chaininclude_popup',
		'tourid' => 1,
		'track' => 1,
		'enabled' => 0
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'include/include',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Include chain updated"
}

Last updated

Was this helpful?